org.apache.bcel.generic

## Class IF_ICMPLE

- java.lang.Object
- - org.apache.bcel.generic.Instruction
  - - org.apache.bcel.generic.BranchInstruction
    - - org.apache.bcel.generic.IfInstruction
      - - org.apache.bcel.generic.IF_ICMPLE

- All Implemented Interfaces:
    Cloneable, InstructionTargeter, StackConsumer

      public class IF_ICMPLE
      extends IfInstruction

  IF_ICMPLE - Branch if int comparison succeeds

      Stack: ..., value1, value2 -> ...

  Version:
    $Id: IF_ICMPLE.java 1812166 2017-10-13 23:48:11Z ggregory $

- - ### Field Summary

    - ### Fields inherited from class org.apache.bcel.generic.BranchInstruction

      `index, position, target`

    - ### Fields inherited from class org.apache.bcel.generic.Instruction

      `length, opcode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IF_ICMPLE(InstructionHandle target)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Visitor v)` Call corresponding visitor method(s).
    `IfInstruction` | `negate()`

    - ### Methods inherited from class org.apache.bcel.generic.BranchInstruction

      `containsTarget, dump, getIndex, getPosition, getTarget, getTargetOffset, getTargetOffset, initFromFile, setIndex, setPosition, setTarget, toString, updatePosition, updateTarget`

    - ### Methods inherited from class org.apache.bcel.generic.Instruction

      `consumeStack, copy, equals, getComparator, getLength, getName, getOpcode, hashCode, isValidByte, isValidShort, produceStack, readInstruction, setComparator, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.bcel.generic.StackConsumer

      `consumeStack`

- - ### Constructor Detail

    - #### IF_ICMPLE

          public IF_ICMPLE(InstructionHandle target)

  - ### Method Detail

    - #### negate

          public IfInstruction negate()

      Specified by:
        `negate` in class `IfInstruction`
      Returns:
        negation of instruction

    - #### accept

          public void accept(Visitor v)

      Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.
      Specified by:
        `accept` in class `Instruction`
      Parameters:
        `v` - Visitor object

Copyright © 2004–2017 The Apache Software Foundation. All rights reserved.